## WebKitDOMFile WebKitDOMFile |

## Functions

gchar * | webkit_dom_file_get_name ()

## Properties

char * | name | Read

## Types and Values

struct | WebKitDOMFile

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMBlob
                ╰── WebKitDOMFile

## Description

## Functions

### webkit_dom_file_get_name ()

    gchar *
    webkit_dom_file_get_name (WebKitDOMFile *self);

`webkit_dom_file_get_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMFile |

#### Returns

A gchar

## Types and Values

### struct WebKitDOMFile

    struct WebKitDOMFile;

## Property Details

### The `“name”` property

      “name”                     char *

read-only gchar* File:name.

Owner: WebKitDOMFile

Flags: Read

Default value: ""